# This class configures server resources for hosting remote backups.
#
# @private
#
class backupninja::server {

  group { $backupninja::account_group:
    ensure => 'present',
    gid    => $backupninja::account_gid,
    before => File[$backupninja::server_backupdir]
  }
  -> file { $backupninja::server_backupdir:
    ensure => $backupninja::backupdir_ensure,
    target => $backupninja::backupdir_target,
    mode   => '0710',
    owner  => 'root',
    group  => $backupninja::account_group,
  }

  # collect all resources from hosted backups
  Backupninja::Server::Account <<| tag == $::fqdn |>>

}
